{% extends 'base.html.twig' %}
{% block title %}JOURNAL DE BORD D'ETUDIANT POUR TOUES LES PAGES!{% endblock %}
{% block navbar %}
    {{ include ('ppatient/navbar.html.twig')}}
{% endblock %}
{% block sidebar %}
    {{ include ('ppatient/sidebar.html.twig')}}
{% endblock %}
{% block body %}


    {# <div class="panel with-nav-tabs panel-info">#}
    {# <div class="panel-heading" id="nav2">#}

    <ul class="nav nav-tabs header-patient">


        <li style='width: 130px; text-align: center'>
            <a class="btn btn-primary derection" h='{{ path('patient_index') }}' href1="#">
                <span><i class="fa fa-reply"></i>&nbsp;&nbsp;&nbsp;<label style="margin-right: 7px">DOSSIER </label></span>
            </a>
        </li>

        <li style='width: 130px; text-align: center'>
            <a href="#" class="btn btn-primary "  data-toggle="modal" data-target="#model-information">
                <span><i class="fa fa-info-circle"></i>&nbsp;&nbsp;&nbsp;<label style="margin-right: 7px"> INFORMATIONS </label></span>
            </a>
        </li>

        <li style='width: 130px; text-align: center'>
            <a href="#" class="btn btn-primary " id="obj22" >
                <span ><i class="fa fa-cog"></i>&nbsp;&nbsp;&nbsp;<label style="margin-right: 7px">OBJECTIFS </label></span>
            </a>
        </li>

        <li style='width: 130px; text-align: center'>
            <a class="btn btn-primary "  id="rap33" href="#{#{path('etu_print',{'id': patient.id})}#}" target="_blank">
                <span><i class="fa  fa-file-pdf-o"></i>&nbsp;&nbsp;&nbsp;<label style="margin-right: 7px"> RAPPORT </label></span>
            </a>
        </li>
        
        





    </ul>
    {# </div>#}
    {# </div>#}





















    <div class="" style="margin-left: 1px;background-color: white;">

        <!--    <h4 style="text-transform: uppercase; padding-left: 1px;padding-top: 1px;">
        {{ patient.categorie.module.abreviation }}/ {{ patient.categorie.designation }} <span class='header-patient-text-navigation'>{#{ rubri.abreviation }#} </span>


    </h4>-->

        <div class="alert alert-block alert-info "  style="line-height: 1;">
            <br/>
            {% if patient.categorie.id == 1 %}
                <center>    <h4 style="text-transform: uppercase; padding-left: 1px;padding-top: 1px; ">
                        CONCERNE  :    <span class='header-patient-text-header' style='font-size: 28px;'>{{ patient.nom }} {{ patient.prenom }}</span>
                    </h4> </center>	
                {% else %}
                <center>  <h4 style="text-transform: uppercase; padding-left: 1px;padding-top: 1px; ">
                        CONCERNE  : 1   <span class='header-patient-text-header' style='font-size: 28px;'>{{ patient.intitule }}</span>
                    </h4></center>
                {% endif %}

            <br/>
        </div>
        <div align="right">



            {% for rub in patient.categorie.rubrique %}
                {%if rub.id==rubri.id%}

                    <a  class="btn btn-inverse  derection" h='{{ path('processus_rubrique', {'id': rub.id}) }}' href=""><span style='color: #ffc000;'>{{ rub.abreviation }}</span></a>
                    {%else%}
                    <a class="btn btn-inverse btn-inverse-style derection" h='{{ path('processus_rubrique', {'id': rub.id}) }}' href="#"><span style='color: black'>{{ rub.abreviation }}</span></a>
                    {%endif%}

            {% endfor %}



        </div>
        <br/>

    </div>
    {% for flash_message in app.session.flashBag.get('notice') %}
        <div class="alert alert-block alert-success message_flash">
            <button type='button' class='close'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>{{ flash_message }}</p>
        </div>
    {% endfor %}
    {% for flash_message in app.session.flashBag.get('error') %}
        <div class="alert alert-block alert-danger message_flash">
            <button type='button' class='close'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>{{ flash_message }}</p>
        </div>
    {% endfor %}
    <div class="alert alert-block alert-success message_flash1" style="display: none;">

    </div>
    <div class="alert alert-block alert-danger message_flash2" style="display: none;">

    </div>
    <div class="alert alert-block alert-info message_flash_info" style="display: none;">

    </div>


    <div class="col-md-12">
        <div class="box box-info">
            <div class="box-header">

            </div>

            <div class="add1 row">
                <div class=" col-xs-12">

                    {{ form_start(form, { 'attr' : { 'class': 'form-horizontal','novalidate': 'novalidate' } }) }}

                    <div class="form-group">
                        <h4 class="header blue">Nouveau texte</h4>
                        <!-- <h4 class="no-padding-left" for="form-field-1">  </h4>-->

                        <span class="help-inline col-xs-12 col-sm-7">
                            <span class="middle error_form ">{{ form_errors(form.text) }}</span>
                        </span>

                        <div class="col-sm-12">
                            {{ form_widget(form.text) }}   

                        </div>
                    </div>
                    <div class="clearfix form-actions">
                        <div class="col-md-3 ">
                            {{ form_widget(form.save, { 'label': 'Enregistrer' }) }}

                            &nbsp; &nbsp; &nbsp;
                            {{ form_widget(form.reset, { 'label': 'Réinitialiser' }) }}

                        </div>
                    </div>

                    {{form_widget(form._token)}}
                    {{ form_end(form) }}


                    {#<form style="align-content: center; margin-left: 25%; margin-right: 25%">
    
                        <br />
        
                        <div class="form-group">
                            <label class="col-sm-2 control-label no-padding-right" for="form-field-designation"> Designation : </label>
                            <div class="col-sm-10"> 
                                {{ patient.designation }}
        
                            </div>
                        </div>
                        <br />
                    </form>#}

                </div>

            </div>
            <div class="row editProc" >

            </div>
        </div>
        <!-- /.box -->
    </div>



    <div class="col-md-12">
        <!-- Chat box -->
        <div class="widget-box">
            <div class="widget-header">
                {#                <i class="fa fa-comments-o"></i>#}
                <h4 class="box-title">TEXTES DEJA SAISIS</h4>
            </div>

            <div class="widget-body" id="chat-box">

                {% for proc in textprocessus %}


                    <div class="widget-main" style=" background-color: #f7f7f7a1;">
                        <div align="right">
                            <span class="widget-toolbar no-border">
                                <i class="ace-icon fa fa-clock-o bigger-110"></i>
                                {{ proc.created|date("m/d/Y") }}
                            </span>
                            <span class="widget-toolbar">
                                <a href="#"  style='color: #669FC7;' ref="{{ proc.id}}" data-action="reload" class="cl ">  <span class="badge ">	<i class="ace-icon fa fa-refresh bigger-90"></i></span></a>
                                <a href="#" style='color: #669FC7;' ref="{{ proc.id}}" class="sup  ">  <span class="badge ">	<i class="ace-icon fa fa-trash-o bigger-90"></i></span></a>

                            </span>


                        </div>
                        <div class="form-group" style=" font-size: 13px;"  >
                            <p> 
                                {% autoescape %}
                                    {{ proc.text|raw }} {# var won't be escaped #}
                                    <br/>

                                {% endautoescape %}
                                {#{ proc.text }#}
                            </p>
                        </div>
                    </div>
                    <hr style="margin-top:0">
                {% endfor %}
            </div>

            {#{{ render(controller(
                'AppBundle:PPatient:allText',
                { 'rub_id': 3 }
            )) }}#}

        </div>
        <!-- /.chat -->
    </div>



    <div class="objectifniv"></div>
    <div class="rapports"></div>
    {#
        <div class="clearfix form-actions no-padding-right">
            <div class="col-md-offset-3 col-md-9">
    
                <a href="{{ path('patient_edit', { 'id':patient.id }) }}">
                    <button class = "btn btn-sm btn-secondary" style="height: 35px !important">Editer
                    </button>
                </a>
    
                &nbsp; &nbsp; &nbsp;
                <a href="{{ path('patient_delete1' , { 'id':patient.id }) }}">
                    <button class = "btn btn-sm btn-danger" style="height: 35px !important">Supprimer
                    </button>
                </a>
    
            </div>
        </div>#}



    {{ include ('load/load.html.twig')}}
{% endblock %}
{% block javascripts %}
    {{ parent() }}

    <script src="{{ asset('assets/js/summernote-fr-FR.min.js')}}"></script>
    <script src="{{ asset('assets/js/summernote.js')}}"></script>

    <script>
        $('.summernote1').summernote({
            //1048576

            maximumImageFileSize: 200000,
            height: 200,

            toolbar: [
                ['style', ['style']],
                ['font', ['bold', 'italic', 'underline', 'clear']],
                ['color', ['color']],
                ['para', ['ul', 'ol', 'paragraph']],
                ['height', ['height']],
                ['table', ['table']],
                ['insert', ['link', 'picture', 'hr']],
                ['view', ['fullscreen']],
        {#     ['help', ['help']]#}
                ],
        {#'lang': 'fr-FR',#}
                focus: true

            });








            $('#obj22').click(function (e) {
                // alert('rr');


                $.ajax({
                    type: 'GET',
                    url: Routing.generate('patient_objectif', {id: 1}),
                    success: function (result) {
                        $('.objectifniv').html(result);
                        $('#model-objectif').modal('show');
                    }
                });

                e.preventDefault();
            });

            $('#rap33').click(function (e) {
                // alert('rr');


                $.ajax({
                    type: 'GET',
                    url: Routing.generate('rapport_menue'),
                    success: function (result) {
                        $('.rapports').html(result);
                        $('#model-rapports').modal('show');
                    }
                });

                e.preventDefault();
            });


            $('body').on('click', '.derection', function (event) {
//alert(1);

                var lien = $(this).attr('h');
                // alert(2);

                if ($('.summernote1').val() != '')
                {
                    //alert('Attention, vous êtes sur le point de quitter cette page. Toutes vos données seront perdues.');
                    //bootbox.alert("Attention, vous êtes sur le point de quitter cette page. Toutes vos données seront perdues.");


                    bootbox.confirm({
                        title: "Confirmation",
                        message: "<h5>Attention, vous êtes sur le point de quitter cette page. Toutes vos données seront perdues. </h5>",
                        buttons: {
                            cancel: {
                                label: '<i class="fa fa-times"></i> Annuler'
                            },
                            confirm: {
                                label: '<i class="fa fa-check"></i> Oui'
                            }
                        },
                        callback: function (confirmation) {


                            if (confirmation == true) {
                                //alert($(this).attr('h'));
                                window.location = lien;
                            }


                        }
                    }
                    );



                } else
                {//alert($(this).attr('h'));
                    window.location = lien;
                }

            });





            $('.cl').click(function (e) {

                //alert();

                $(".message_flash_info").show().html("<p> <i class='ace-icon fa fa-spinner fa-spin blue bigger-125'></i> veuillez patienter traitement en cours...</p>");
                $.ajax({
                    type: 'GET',
                    url: Routing.generate('editproc', {id: $(this).attr('ref')}),
                    success: function (result) {

                        $(".message_flash_info").hide();
                        $('.editProc').html(result);
                        $('.add1').hide();
                        $('html,body').animate({
                            scrollTop: 0
                        }, 700);

                    }
                });

                e.preventDefault();
            });
            $('.sup').click(function (e) {

                //alert();
                var c = $(this).attr('ref');
                bootbox.confirm({
                    title: "Confirmation",
                    message: "<h5>Souhaitez-vous supprimer ce texte?  </h5>",
                    buttons: {
                        cancel: {
                            label: '<i class="fa fa-times"></i> Annuler'
                        },
                        confirm: {
                            label: '<i class="fa fa-check"></i> Oui'
                        }
                    },
                    callback: function (confirmation) {

                        $(".message_flash_info").hide();
                        $(".message_flash1").hide();
                        $(".message_flash2").hide();
                        if (confirmation == true) {
                            $(".message_flash_info").show().html("<p> <i class='ace-icon fa fa-spinner fa-spin blue bigger-125'></i> veuillez patienter traitement en cours...</p>");

                            $.ajax({
                                type: 'GET',
                                url: Routing.generate('supproc', {id: c}),
                                success: function (result) {
                                    var parsed = jQuery.parseJSON(result);
                                    if (parsed.data == 1) {
                                        $('html,body').animate({
                                            scrollTop: 0
                                        }, 700);
                                        $(".message_flash_info").hide();
                                        $(".message_flash2").hide();
                                        $(".message_flash1").show().html("<button type='button' class='close' data-dismiss='alert'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>La suppression a été effectuée avec succès </p>");

                                        location.reload();
                                    } else
                                    {
                                        $('html,body').animate({
                                            scrollTop: 0
                                        }, 700);
                                        $(".message_flash_info").hide();
                                        $(".message_flash1").hide();
                                        $(".message_flash2").show().html("<button type='button' class='close' data-dismiss='alert'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i> Suppression a echoué</p>")
                                    }



                                }
                            });
                        }

                    }
                }
                );

                e.preventDefault();
            });




    </script>
{% endblock %}

